#ifndef __BOOT_CAN_H
#define __BOOT_CAN_H

#include "bootloader.h"

extern CAN_HandleTypeDef hcan_boot;

extern CAN_TxHeaderTypeDef TxHeaderBoot;
extern CAN_RxHeaderTypeDef RxHeaderBoot;
extern uint32_t TxMailBoxBoot;
extern uint8_t TXDataBoot[8];

/* Инициализация CAN */
void MX_BOOT_CAN_Init(void);
/* Приём команды по CAN по протоколу */
BootloaderCommand_t Bootloader_CAN_Receive(Bootloader_t *bl);
/* Приём CAN: страница + CRC */
void Bootloader_CAN_Receive_Page(Bootloader_t *bl);
  
#endif //__BOOT_CAN_H